{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}

{% endblock %}

{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Promo Teman Belajar
        {% endblock %}

    {% endembed %}


    <section class="mt-3 container-fluid">

        <a class="d-block" data-toggle="modal"
           data-target="#modalDetailVoucher">
            <div class="gen-card">
                <div style="width: 100%">
                    <img src="{{ asset('images/common/profil2-ex.png') }}" style="width: 100%">
                </div>

                <div style="padding: 1em" >
                    <p class="mb-0 font-weight-bold t-black">SEMUADAGURUNYA</p>
                    <p class="mb-0 t-black">Diskon 15% untuk berlangganan pertama</p>
                    <p class=" text-black-50 f08">Berlaku Hingga 19 Januari 2020</p>
                    <div class="d-flex justify-content-between align-items-center">
                        <p class="div-color mb-0 f08"
                           style="border: 1px solid red; color: red; background-color: #f8d7da; padding: 0.4em">
                            Sisa : 100</p>
                        <a class="font-weight-bold t-primary">Beli Kupon</a>
                    </div>
                </div>


            </div>
        </a>

        <a class="d-block" data-toggle="modal"
           data-target="#modalDetailVoucher">
            <div class="gen-card">
                <div style="width: 100%">
                    <img src="{{ asset('images/common/bank/b-bca.png') }}" style="width: 100%">
                </div>

                <div style="padding: 1em" >
                    <p class="mb-0 font-weight-bold t-black">SEMUADAGURUNYA</p>
                    <p class="mb-0 t-black">Diskon 15% untuk berlangganan pertama</p>
                    <p class=" text-black-50 f08">Berlaku Hingga 19 Januari 2020</p>
                    <div class="d-flex justify-content-between align-items-center">
                        <p class="div-color mb-0 f08"
                           style="border: 1px solid red; color: red; background-color: #f8d7da; padding: 0.4em">
                            Sisa : 100</p>
                        <a class="font-weight-bold t-primary">Beli Kupon</a>
                    </div>
                </div>


            </div>
        </a>
    </section>

    {#    MODAL DETAIL VOUCHER #}
    <div class="modal fade" id="modalDetailVoucher" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-fullpage" role="document">
            <div class="modal-content" style="min-height: 100vh">
                <div class="modal-body p-0 h-100 m-0">
                    {#    KETERANGAN PAGE#}
                    <div class="text-left  p-3 d-flex border-bottom container-fluid">
                        <a class="text-black-50 mr-3" data-dismiss="modal" aria-label="Close"><i
                                    class="fa fa-close"></i></a>
                        <p class="flex-grow-1 mb-0">Detail Kupon</p>

                    </div>

                    <img src="{{ asset('images/common/profil2-ex.png') }}"
                         style="height: 8em; width: 100%; object-fit: cover">

                    <div class="d-block p-3 shadow-sm text-center mb-3">
                        <p class="font-weight-bold f12 mb-0"> SEMUADAGURUNYA</p>
                        <p class="mb-1">Diskon 15% untuk pemesanan pertama</p>
                        <p class="div-color mb-0 f08 text-center ml-auto mr-auto"
                           style="border: 1px solid red; color: red; background-color: #f8d7da; padding: 0.4em 0.8em; width: fit-content">
                            Sisa : 100</p>
                    </div>

                    <div class="d-block shadow-sm mb-3">
                        <div class="d-flex justify-content-between">
                            <div class="d-flex justify-content-center align-items-center p-2 flex-grow-1 flex-column"
                                 style="border: 1px solid #ddd">
                                <p class="f08 text-black-50 mb-1">Point</p>
                                <p class="f10">100 Point</p>
                            </div>

                            <div class="d-flex justify-content-center align-items-center p-2 flex-grow-1 flex-column"
                                 style="border: 1px solid #ddd">
                                <p class="f08 text-black-50 mb-1">Point</p>
                                <p class="f10">100 Point</p>
                            </div>
                        </div>

                        <div class="d-flex justify-content-center align-items-center p-2 flex-column ">
                            <p class="f08 text-black-50 mb-1">Point</p>
                            <p class="f10">100 Point</p>
                        </div>
                    </div>

                    <section class="mt-2 container-fluid shadow-sm" style="padding-bottom: 1em">
                        <p class="font-weight-bold f10">Deskripsi</p>
                        <p class="f10 mb-0">1. Kupon ini hanya dapat digunakan satu kali</p>
                        <p class="f10 mb-0">2. Kupon ini tidak dapat diuangkan</p>
                        <p class="f10 mb-0">3. Kupon blablabla</p>
                    </section>

                    <a class="bt-primary d-block m-2 mt-5">Gunakan</a>

                </div>

            </div>
        </div>
    </div>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}


{% endblock %}